using System;
using System.Collections.Generic;
using System.Text;

using Avaliador.BLL;
using Avaliador.DAL;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            // teste 1
            ExpressaoMapper em = new ExpressaoMapper();
            Expressao e1 = em.LoadById(3);

            foreach (Variavel v in e1.Variaveis)
                v.Value = 1.0;

            Console.WriteLine("A expresso '{0}' toma o valor {1} quando todas as variaveis tem valor 1", e1.Text, e1.Valor);

            // teste 2
            Expressao e3 = new Expressao("$A $B / 3 +");
            e3.Variaveis[0].Value = 8;
            e3.Variaveis[1].Value = 2;

            Console.WriteLine("A expresso '{0}' toma o valor {1} quando as variaveis so {2} e {3} respectivamente", e3.Text, e3.Valor, e3.Variaveis[0].Value, e3.Variaveis[1].Value);
            
            ResultadoCalculo rc = e3.CreateResultado("uma experiencia", null);
            ResultadoCalculoMapper rcm = new ResultadoCalculoMapper();
            rcm.Save(rc);
        }
    }
}
