using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Avaliador.BLL;
using Avaliador.DAL;

namespace WinAvalRPN
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGravarRes_Click(object sender, EventArgs e)
        {
            SaveResultForm f = new SaveResultForm();
            if (f.ShowDialog() == DialogResult.OK)
            {
                ResultadoCalculo rc = new ResultadoCalculo();

                // TODO construir objecto

                ResultadoCalculoMapper rcm = new ResultadoCalculoMapper();
                rcm.Save(rc);
            }
        }

        private void btnListResults_Click(object sender, EventArgs e)
        {
            ListResults f = new ListResults();
            f.ShowDialog();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        Expressao expressaoActual;

        private void btnListExpressoes_Click(object sender, EventArgs e)
        {
            ListExpressoes f = new ListExpressoes();
            if (f.ShowDialog() == DialogResult.OK)
            {
                expressaoActual = f.ExpressaoSeleccionada;
                txtExpressao.Text = expressaoActual.Text;
                ObterVariaveis();
            }
        }

        private void txtExpressao_Leave(object sender, EventArgs e)
        {
            ObterVariaveis();
        }

        private void ObterVariaveis()
        {
            if (expressaoActual == null)
                expressaoActual = new Expressao(txtExpressao.Text);

            dgvVarValues.DataSource = expressaoActual.Variaveis;
        }

        private void txtExpressao_TextChanged(object sender, EventArgs e)
        {
            expressaoActual = null;
        }

        private void btnExecute_Click(object sender, EventArgs e)
        {
            lblResultado.Text = expressaoActual.Valor.ToString();
        }
    }
}