using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Avaliador.BLL;
using Avaliador.DAL;

namespace WinAvalRPN
{
    public partial class ListExpressoes : Form
    {
        public ListExpressoes()
        {
            InitializeComponent();
        }

        private void ListExpressoes_Load(object sender, EventArgs e)
        {
            ExpressaoMapper em = new ExpressaoMapper();
            IList<Expressao> exps = em.LoadAll();

            listExp.ValueMember = "Id";
            listExp.DisplayMember = "Text";
            listExp.DataSource = exps;
        }

        public Expressao ExpressaoSeleccionada
        {
            get 
            {
                return (Expressao)listExp.SelectedItem;
            }
        }
    }
}